Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum Note.IconTypeEnum

    java.lang.Object
      java.lang.Enum<Note.IconTypeEnum>
          org.pdfclown.documents.interaction.annotations.Note.IconTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<Note.IconTypeEnum>

Enclosing class:
  Note

    public static enum Note.IconTypeEnum

extends Enum<Note.IconTypeEnum>

Icon to be used in displaying the annotation [PDF:1.6:8.4.5].

Enum Constant Summary
`Comment` Comment.
`Help` Help.
`Insert` Insert.
`Key` Key.
`NewParagraph` New paragraph.
`Note` Note.
`Paragraph` Paragraph.

Method Summary
`static Note.IconTypeEnum` | `get(PdfName value)` Gets the highlighting mode corresponding to the given value.
`PdfName` | `getCode()`
`static Note.IconTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Note.IconTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Comment

    public static final Note.IconTypeEnum Comment

  Comment.

### Help

    public static final Note.IconTypeEnum Help

  Help.

### Insert

    public static final Note.IconTypeEnum Insert

  Insert.

### Key

    public static final Note.IconTypeEnum Key

  Key.

### NewParagraph

    public static final Note.IconTypeEnum NewParagraph

  New paragraph.

### Note

    public static final Note.IconTypeEnum Note

  Note.

### Paragraph

    public static final Note.IconTypeEnum Paragraph

  Paragraph.

Method Detail

### values

    public static Note.IconTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Note.IconTypeEnum c : Note.IconTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Note.IconTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Note.IconTypeEnum get(PdfName value)

  Gets the highlighting mode corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.